/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gbrochar <gbrochar@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/12/22 12:02:14 by gbrochar          #+#    #+#             */
/*   Updated: 2020/12/25 14:58:03 by gbrochar         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "scop.h"
#include "mat4.h"

int				main(int argc, char **argv)
{
	t_env		e;

	init_env(&e);
	if (parse(&e, argc, argv) == SUCCESS)
	{
		if (run(&e) == FAILURE)
			printf("Error with glfw initialization\n");
	}
	else
	{
		free_env(&e);
		printf("file reading error\n");
		return (FAILURE);
	}
	free_env(&e);
	return (SUCCESS);
}
